# general info
NAME="coreutils"
DESC="GNU core utilities"
VERSION="9.4"

# required files
FILES=(
  "https://ftp.gnu.org/gnu/coreutils/coreutils-${VERSION}.tar.xz"
  "coreutils-${VERSION}-i18n-1.patch"
)
HASHES=(
  "459e9546074db2834eefe5421f250025"
  "cca7dc8c73147444e77bc45d210229bb"
)

# install and build depends
DEPENDS=("acl" "attr" "glibc" "gmp" "libcap" "openssl")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  patch -Np1 -i "../coreutils-${VERSION}-i18n-1.patch"
  sed -e '/n_out += n_hold/,+4 s|.*bufsize.*|//&|' \
    -i src/split.c

  autoreconf -fiv
  FORCE_UNSAFE_CONFIGURE=1 ./configure \
            --prefix=/usr              \
            --enable-no-install-program=kill,uptime

  make && make DESTDIR="${ROOTDIR}" install

  install -dm755 "${ROOTDIR}/usr/sbin"
  install -dm755 "${ROOTDIR}/usr/share/man/man8"

  mv -v "${ROOTDIR}/usr/share/man/man1/chroot.1" "${ROOTDIR}/usr/share/man/man8/chroot.8"
  mv -v "${ROOTDIR}/usr/bin/chroot" "${ROOTDIR}/usr/sbin"
  sed -i 's/"1"/"8"/' "${ROOTDIR}/usr/share/man/man8/chroot.8"

  cd .. && rm -r "${NAME}-${VERSION}"
}
