# general info
NAME="expat"
DESC="Stream-oriented XML parser library written in C"
VERSION="2.6.2"
_RVERSION="$(echo "R_${VERSION}" | sed 's/\./_/g')"

# required files
FILES=("https://github.com/libexpat/libexpat/releases/download/${_RVERSION}/expat-${VERSION}.tar.bz2")
HASHES=("15811413e92a632272188781cc3f2a9e52ed62f6edfad9b2eeeca0946e53132b6c9ca6dc460eda766d6a4e68e5920128335d705f9556b5aa3f77593658780470")

# install and build depends
DEPENDS=("glibc")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.bz2"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr  \
            --disable-static \
            --docdir="/usr/share/doc/expat-${VERSION}"
  make && make DESTDIR="${ROOTDIR}" install
  install -v -m644 doc/*.{html,css} "${ROOTDIR}/usr/share/doc/expat-${VERSION}"

  cd .. && rm -r "${NAME}-${VERSION}"
}
