# general info
NAME="fakeroot"
DESC="Tool for simulating superuser privileges"
VERSION="1.35.1"

# required files
FILES=(
  "https://deb.debian.org/debian/pool/main/f/fakeroot/fakeroot_${VERSION}.orig.tar.gz"
  "fakeroot.conf"
)
HASHES=(
  "6a0de53b2de05277d4e6d4a884eb0de7a8ad467b82c07a6f8f2f6a629e655fdc"
  "564c4c4d369d005702d825d34edc5e5568cb1ab6ee1b19fa03d0d672fb8b3aee"
)

# install and build depends
DEPENDS=(
  "glibc" "sed" "util-linux"
  "bash"
)
BUILD=()

PACKAGE(){
  tar xf "${NAME}_${VERSION}.orig.tar.gz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr       \
    --libdir=/usr/lib/libfakeroot \
    --disable-static              \
    --with-ipc=sysv
  make
  make DESTDIR="${ROOTDIR}" install

  install -dm755 "${ROOTDIR}/etc/ld.so.conf.d/"
  install -m644 "${ROOTDIR}/fakeroot.conf" "${ROOTDIR}/etc/ld.so.conf.d/fakeroot.conf"

  cd .. && rm -r "${NAME}-${VERSION}"
}

INSTALL(){
  usr/bin/ldconfig -r .
}
