# general info
NAME="inetutils"
DESC="GNU network utilities"
VERSION="2.5"

# required files
FILES=("https://ftp.gnu.org/gnu/inetutils/inetutils-${VERSION}.tar.xz")
HASHES=("9e5a6dfd2d794dc056a770e8ad4a9263")

# install and build depends
DEPENDS=(
  "glibc" "libcap" "ncurses"
  "readline" "linux-pam" "libxcrypt"
)
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr      \
            --bindir=/usr/bin    \
            --localstatedir=/var \
            --disable-logger     \
            --disable-whois      \
            --disable-rcp        \
            --disable-rexec      \
            --disable-rlogin     \
            --disable-rsh        \
            --disable-servers

  make
  make DESTDIR="${ROOTDIR}" install

  install -dm755 "${ROOTDIR}/usr/bin"
  install -dm755 "${ROOTDIR}/usr/sbin"
  mv -v "${ROOTDIR}/usr/"{,s}bin/ifconfig

  cd .. && rm -r "${NAME}-${VERSION}"
}
