# general info
NAME="libxml2"
DESC="XML parser and toolkit"
VERSION="2.13.3"

# required files
FILES=("https://download.gnome.org/sources/libxml2/${VERSION%.*}/libxml2-${VERSION}.tar.xz")
HASHES=("0805d7c180cf09caad71666c7a458a74f041561a532902454da5047d83948138")

# install and build depends
DEPENDS=(
  "bash" "glibc" "icu"
  "ncurses" "readline" "xz"
  "zlib" "python3"
)
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr         \
            --sysconfdir=/etc       \
            --disable-static        \
            --with-history          \
            --with-icu              \
            PYTHON=/usr/bin/python3 \
            --docdir="/usr/share/doc/libxml2-${VERSION}"
  make
  make DESTDIR="${ROOTDIR}" install

  rm -vf "${ROOTDIR}/usr/lib/libxml2.la"
  sed '/libs=/s/xml2.*/xml2"/' -i "${ROOTDIR}/usr/bin/xml2-config"

  cd .. && rm -r "${NAME}-${VERSION}"
}
