# general info
NAME="man-db"
DESC="Tools for reading manual pages"
VERSION="2.12.1"

# required files
FILES=("https://download-mirror.savannah.gnu.org/releases/man-db/man-db-${VERSION}.tar.xz")
HASHES=("0f79f4205ce116c3148dc6caf561c1b7d793aac234188ef8edd1b1f5aaaebcca32c65ef403dff65896920535077fb63ddc2e9cb293efdb6ef3037c33916aa329")

# install and build depends
DEPENDS=(
  "bash" "gdbm" "zlib"
  "groff" "libpipeline" "less"
  "libseccomp" "glibc" "gzip"
)
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr                             \
            --docdir="/usr/share/doc/man-db-${VERSION}" \
            --sysconfdir=/etc                           \
            --disable-setuid                            \
            --enable-cache-owner=bin                    \
            --with-browser=/usr/bin/lynx                \
            --with-vgrind=/usr/bin/vgrind               \
            --with-grap=/usr/bin/grap
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
