# general info
NAME="openssl"
DESC="Free and open-source software for general-purpose cryptography and secure communication"
VERSION="3.3.1"

# required files
FILES=("https://www.openssl.org/source/openssl-${VERSION}.tar.gz")
HASHES=("777cd596284c883375a2a7a11bf5d2786fc5413255efab20c50d6ffe6d020b7e")

# install and build depends
DEPENDS=("glibc" "perl" "make-ca")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  ./config --prefix=/usr       \
         --openssldir=/etc/ssl \
         --libdir=lib          \
         shared                \
         zlib-dynamic
  make
  sed -i '/INSTALL_LIBS/s/libcrypto.a libssl.a//' Makefile
  make DESTDIR="${ROOTDIR}" MANSUFFIX=ssl install
  mv -v "${ROOTDIR}/usr/share/doc/openssl" "${ROOTDIR}/usr/share/doc/openssl-${VERSION}"
  cp -vfr doc/* "${ROOTDIR}/usr/share/doc/openssl-${VERSION}"

  cd .. && rm -r "${NAME}-${VERSION}"
}
