# general info
NAME="pcre2"
DESC="Perl-Compatible regular expressions"
VERSION="10.44"

# required files
FILES=("https://github.com/PCRE2Project/pcre2/releases/download/pcre2-${VERSION}/pcre2-${VERSION}.tar.bz2")
HASHES=("d34f02e113cf7193a1ebf2770d3ac527088d485d4e047ed10e5d217c6ef5de96")

# install and build depends
DEPENDS=("glibc" "bzip2" "readline" "zlib" "bash")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.bz2"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr                              \
              --docdir="/usr/share/doc/pcre2-${VERSION}" \
              --enable-unicode                           \
              --enable-jit                               \
              --enable-pcre2-16                          \
              --enable-pcre2-32                          \
              --enable-pcre2grep-libz                    \
              --enable-pcre2grep-libbz2                  \
              --enable-pcre2test-libreadline             \
              --disable-static
  make && make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
