# general info
NAME="pkgconf"
DESC="Package compiler and linker metadata toolkit"
VERSION="2.2.0"

# required files
FILES=("https://github.com/pkgconf/pkgconf/archive/refs/tags/pkgconf-2.2.0.tar.gz")
HASHES=("2c72cbf37b2d42a9fbf7ed8f0e5432a0b0925481f67995a21ecf77962a6000bc")

# install and build depends
DEPENDS=("glibc" "bash")
BUILD=("meson")

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${NAME}-${VERSION}"

  autoreconf -i
  ./configure --prefix=/usr    \
              --disable-static \
              --docdir="/usr/share/doc/pkgconf-${VERSION}"
  make

  make DESTDIR="${ROOTDIR}" install
  ln -sv pkgconf   "${ROOTDIR}/usr/bin/pkg-config"
  ln -sv pkgconf.1 "${ROOTDIR}/usr/share/man/man1/pkg-config.1"

  cd .. && rm -r "${NAME}-${NAME}-${VERSION}"
}
