# general info
NAME="readline"
DESC="Set of libraries that offer command-line editing and history capabilities"
VERSION="8.2"

# required files
FILES=(
  "https://ftp.gnu.org/gnu/readline/readline-${VERSION}.tar.gz"
  "readline-${VERSION}-upstream_fixes-3.patch"
)
HASHES=(
  "4aa1b31be779e6b84f9a96cb66bc50f6"
  "9ed497b6cb8adcb8dbda9dee9ebce791"
)

# install and build depends
DEPENDS=("glibc" "ncurses")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  sed -i '/MV.*old/d' Makefile.in
  sed -i '/{OLDSUFF}/c:' support/shlib-install
  patch -Np1 -i "../readline-${VERSION}-upstream_fixes-3.patch"

  ./configure --prefix=/usr    \
              --disable-static \
              --with-curses    \
              --docdir="/usr/share/doc/readline-${VERSION}"

  make SHLIB_LIBS="-lncursesw"
  make DESTDIR="${ROOTDIR}" SHLIB_LIBS="-lncursesw" install

  install -v -m644 doc/*.{ps,pdf,html,dvi} "${ROOTDIR}/usr/share/doc/readline-${VERSION}"

  cd .. && rm -r "${NAME}-${VERSION}"
}
