# general info
NAME="shadow"
DESC="Necessary programs for converting UNIX password files to the shadow password format"
VERSION="4.15.3"

# required files
FILES=(
  "https://github.com/shadow-maint/shadow/releases/download/${VERSION}/shadow-${VERSION}.tar.gz"
  "chpasswd"
  "login"
)
HASHES=(
  "d02439810e1743255187a7e6d790ade232daef26ca24bdb859057ec27056ee57"
  "a955ecbd82a801102fad756bb98dca778c1eba14a3367c601d6237b75642c36b"
  "7dc12d8126161031ec7446edfe354971077cb10f0c1e2fdbaaf1c945738ff39b"
)

# install and build depends
DEPENDS=("acl" "attr" "glibc" "libxcrypt" "linux-pam")
BUILD=("libxslt")

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  autoreconf -fiv

  sed -i 's/groups$(EXEEXT) //' src/Makefile.in
  find man -name Makefile.in -exec sed -i 's/groups\.1 / /'   {} \;
  find man -name Makefile.in -exec sed -i 's/getspnam\.3 / /' {} \;
  find man -name Makefile.in -exec sed -i 's/passwd\.5 / /'   {} \;

  sed -e 's:#ENCRYPT_METHOD DES:ENCRYPT_METHOD YESCRYPT:' \
    -e 's:/var/spool/mail:/var/mail:'                   \
    -e '/PATH=/{s@/sbin:@@;s@/bin:@@}'                  \
    -i etc/login.defs

  install -dm755 "${ROOTDIR}/usr/bin"
  touch "${ROOTDIR}/usr/bin/passwd"

  ./configure --sysconfdir=/etc            \
            --disable-static               \
            --with-{b,yes}crypt            \
            --with-libpam                  \
            --without-libbsd               \
            --enable-man                   \
            --with-libpam                  \
            --disable-account-tools-setuid \
            --with-group-name-max-length=32

  make
  make DESTDIR="${ROOTDIR}" exec_prefix=/usr install
  make DESTDIR="${ROOTDIR}" -C man install

  install -m644 "${ROOTDIR}/login" "${ROOTDIR}/etc/pam.d/login"
  install -m644 "${ROOTDIR}/chpasswd" "${ROOTDIR}/etc/pam.d/chpasswd"

  cd .. && rm -r "${NAME}-${VERSION}"
}
