# general info
NAME="vim"
DESC="Highly configurable text editor built to make creating and changing any kind of text very efficient"
VERSION="9.1.0611"

# required files
FILES=("https://github.com/vim/vim/archive/v${VERSION}/vim-${VERSION}.tar.gz")
HASHES=("ac644a3206cfdfb3dddfae19e8b56fe6fd31ec2c7a6ea63905349ae5a448756f")

# install and build depends
DEPENDS=(
  "acl" "glibc" "libgcrypt"
  "zlib" "perl" "tcl"
)
BUILD=("gawk" "python3")

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  echo '#define SYS_VIMRC_FILE "/etc/vimrc"' >> src/feature.h
  ./configure --prefix=/usr
  make
  make DESTDIR="${ROOTDIR}" install
  
  ln -sv vim "${ROOTDIR}/usr/bin/vi"
  for L in  "${ROOTDIR}/usr/share/man/"{,*/}man1/vim.1; do
    ln -sv vim.1 $(dirname $L)/vi.1
  done

  install -dm755 "${ROOTDIR}/usr/share/doc"
  ln -sv ../vim/vim91/doc "${ROOTDIR}/usr/share/doc/vim-${VERSION}"

  cd .. && rm -r "${NAME}-${VERSION}"
}
